"use strict";
require('reflect-metadata');
const inversify_config_1 = require('../inversify.config');
const chai_1 = require('chai');
describe('SpawnAsync (no console out)', function () {
    let spawn;
    beforeEach(done => {
        spawn = inversify_config_1.default.get('Spawn');
        spawn.commandUtil.quiet = true;
        done();
    });
    afterEach(done => {
        spawn = null;
        done();
    });
    describe('spawnShellCommandPipelineAsync', () => {
        it('should', done => {
            chai_1.expect(spawn).to.not.equal(null);
            spawn.spawnShellCommandPipelineAsync([
                ["/home/jreeme/src/firmament-bash/js/test/helpers/test-00.js", "10", "Piping exercise -->"],
                ["/home/jreeme/src/firmament-bash/js/test/helpers/test-01.js", "Middle Text!->"],
                ["/home/jreeme/src/firmament-bash/js/test/helpers/test-02.js", "End Text!->"]
            ], null, (err, result) => {
                chai_1.expect(err).to.equal(null);
                spawn.commandUtil.stdoutWrite(result);
            }, (err, result) => {
                chai_1.expect(err).to.equal(null);
                done();
            });
        });
    });
});
//# sourceMappingURL=pipeline-async.test.js.map