"use strict";
require('reflect-metadata');
const inversify_config_1 = require('../inversify.config');
const fs = require('fs');
const testOutputPath = '/tmp/testout.log';
let stdout;
describe('SpawnSync (no console out)', function () {
    let spawn;
    beforeEach(done => {
        spawn = inversify_config_1.default.get('Spawn');
        spawn.commandUtil.quiet = true;
        done();
    });
    afterEach(done => {
        spawn = null;
        done();
    });
});
function getStdoutOptions() {
    stdout = fs.openSync(testOutputPath, 'w');
    return {
        stdio: ['ignore', stdout, 'ignore']
    };
}
function getStdoutContents() {
    fs.closeSync(stdout);
    return fs.readFileSync(testOutputPath, { encoding: 'utf8' });
}
//# sourceMappingURL=spawn-sync.test.js.map